<?php

class theme_educacio_core_renderer extends core_renderer {


    /**
     * Prints a nice side block with an optional header.
     *
     * The content is described
     * by a {@link block_contents} object.
     *
     * @param block_contents $bc HTML for the content
     * @param string $region the region the block is appearing in.
     * @return string the HTML to be output.
     */
    function block($bc, $region) {

        $bc = clone($bc); // Avoid messing up the object passed in.
        if (empty($bc->blockinstanceid) || !strip_tags($bc->title)) {
            $bc->collapsible = block_contents::NOT_HIDEABLE;
        }
        if ($bc->collapsible == block_contents::HIDDEN) {
            $bc->add_class('hidden');
        }
        if (!empty($bc->controls)) {
            $bc->add_class('block_with_controls');
        } 
             
        $skiptitle = strip_tags($bc->title);
        if (empty($skiptitle)) {
            $output ='';
            $skipdest = '';
        } else {
            $output .= html_writer::tag('a', get_string('skipa', 'access', $skiptitle), array('href' => '#sb-' . $bc->skipid, 'class' => 'skip-block'));
            $skipdest = html_writer::tag('span', '', array('id' => 'sb-' . $bc->skipid, 'class' => 'skip-block-to'));
        }
        
        
        $output .= html_writer::start_tag('div', $bc->attributes);
        
        //$output = "\n".html_writer::start_tag('div', array('class' => 'flecha'))."\n";
             /** borde **/
        $output .= html_writer::start_tag('div', array('class'=>'arriba'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'debajo'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'izquierda'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'derecha'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'debajoizquierda'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'debajoderecha'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'arribaderecha'))."\n";
        $output .= html_writer::start_tag('div', array('class'=>'arribaizquierda'))."\n"; 

        
        
        
        
        
        
        
        
        $controlshtml = $this->block_controls($bc->controls);

        $title = '';
        if ($bc->title) {
            $title = html_writer::tag('h2', $bc->title);
        }

        if ($title || $controlshtml) {
            $output .= html_writer::tag('div', html_writer::tag('div', html_writer::tag('div', '', array('class'=>'block_action')). $title . $controlshtml, array('class' => 'title')), array('class' => 'header'));
        }

        $output .= html_writer::start_tag('div', array('class' => 'content'));
        if (!$title && !$controlshtml) {
            $output .= html_writer::tag('div', '', array('class'=>'block_action notitle'));
        }
        $output .= $bc->content;

        if ($bc->footer) {
            $output .= html_writer::tag('div', $bc->footer, array('class' => 'footer'));
        }

        $output .= html_writer::end_tag('div');        
        
        /* Corto de aquí */
        
        
               /** Four rounded corner ends **/
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        $output .= html_writer::end_tag('div')."\n";
        
        
        
        $output .= html_writer::end_tag('div')."\n";

        //$output .= html_writer::end_tag('div')."\n";

        $output .= $skipdest;

        $this->init_block_hider_js($bc);

        return $output;

    }

}